package org.sonatype.ahc.certs;

/*
 * Copyright (c) 2010 Sonatype, Inc. All rights reserved.
 *
 * This program is licensed to you under the Apache License Version 2.0, 
 * and you may not use this file except in compliance with the Apache License Version 2.0. 
 * You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, 
 * software distributed under the Apache License Version 2.0 is distributed on an 
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */

/**
 * Base class for CertificateManager's entries.
 * 
 * @author Benjamin Hanzelmann
 * @see CertificateManager#getEntries()
 * @see CertificateManager#add(Entry)
 * @see Entry
 */
public abstract class AbstractEntry
    implements Entry
{

    private Type type;

    private String alias;

    public String getAlias()
    {
        return alias;
    }

    public Type getType()
    {
        return type;
    }

    protected void setType( Type type )
    {
        this.type = type;
    }

    protected void setAlias( String alias )
    {
        this.alias = alias;
    }

}
