package org.sonatype.ahc.certs;

import java.security.PrivateKey;

/*
 * Copyright (c) 2010 Sonatype, Inc. All rights reserved.
 *
 * This program is licensed to you under the Apache License Version 2.0, 
 * and you may not use this file except in compliance with the Apache License Version 2.0. 
 * You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, 
 * software distributed under the Apache License Version 2.0 is distributed on an 
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */


/**
 * @author Benjamin Hanzelmann
 *
 */
public class DefaultKey
    extends AbstractEntry
    implements AHCKey
{

    private final PrivateKey privateKey;

    private final char[] password;

    private final AHCCertificate[] chain;

    public DefaultKey( String alias, PrivateKey privateKey, char[] password, AHCCertificate[] chain )
    {
        super();
        this.privateKey = privateKey;
        this.password = password;
        this.chain = chain;
        setType( Type.KEY );
        setAlias( alias );
    }

    public AHCCertificate[] getCertificateChain()
    {
        return chain;
    }

    public char[] getPassword()
    {
        return password;
    }

    public PrivateKey getPrivateKey()
    {
        return privateKey;
    }

}
